<?php
/**
* @ 2014 Holger Kraft. All rights reserved.
* @GNU/GPL licence
*
*/

// Assert file included in Joomla!
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.plugin.plugin' );

/**
* GoogleDrive Content Plugin
*
*/
class plgContentgdrivePlugin extends JPlugin
{

	/**
	* Ctor
	*
	* @param object $subject The object to observe
	* @param object $params The object that holds the plugin parameters
	*/
	function Plugingdrive( &$subject, $params )
	{
		parent::__construct( $subject, $params );
	}

	/**
	* Example prepare content method
	*
	* Method is called by the view
	*
	* @param object The article object. Note $article->text is also available
	* @param object The article params
	* @param int The 'page' number
	*/
	function onContentPrepare( $context, &$article, &$params, $page = 0)
		{
		global $mainframe;
		

		if ( JString::strpos( $article->text, '{gdrive}' ) === false ) {
		return true;
		}
		
		$article->text = preg_replace('|{gdrive}(.*){\/gdrive}|e', '$this->createiFrame("\1")', $article->text);
		
			

		return true;
	
	}

	function createiFrame($folderid)
	{

	 	$params = $this->params;

		$width = $params->get('width', '95%');
		$height = $params->get('height', 600);
		
		return '<iframe src="https://drive.google.com/embeddedfolderview?id='.$folderid.'#grid" width="'.$width.'" height="'.$height.'" frameborder="0" ></iframe>';
	
	}

}
